Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.pielou_e

skbio.diversity.alpha.pielou_e(counts, base=None)

  Calculate Pielou’s evenness index.

  Pielou’s evenness index (\(J'\)), a.k.a., Shannon’s equitability index (\(E_H\)), is defined as:

  \[J' = \frac{(H)}{\log(S)}\]

  where \(H\) is the Shannon index of the sample and \(S\) is the number of taxa in the sample.

  That is, \(J'\) is the ratio of the actual Shannon index of the sample versus the maximum-possible Shannon index when all taxa have the same number of individuals. \(J'\) ranges between 0 and 1.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

    base int or float, optional

      Logarithm base to use in the calculation. Default is `e`.

  Returns:
    float

      Pielou’s evenness index.

  See also

  `shannon`
  `heip_e`

  Notes

  Pielou’s evenness index was originally described in [1].

  When there is only one taxon, the return value is 1.0.

  References

  [1]

  Pielou, E. C., 1966. The measurement of diversity in different types of biological collections. Journal of Theoretical Biology, 13, 131-44.